App\Library\Amazon\Classes\Furniture:
    xml_root_name: Furniture
    properties:
        productType:
            expose: true
            access_type: public_method
            serialized_name: ProductType
            accessor:
                getter: getProductType
                setter: setProductType
            type: string
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\Furniture\VariationDataAType
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\Battery
        model:
            expose: true
            access_type: public_method
            serialized_name: Model
            accessor:
                getter: getModel
                setter: setModel
            type: string
        fabricWeight:
            expose: true
            access_type: public_method
            serialized_name: FabricWeight
            accessor:
                getter: getFabricWeight
                setter: setFabricWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        occasion:
            expose: true
            access_type: public_method
            serialized_name: Occasion
            accessor:
                getter: getOccasion
                setter: setOccasion
            type: string
        includedComponents:
            expose: true
            access_type: public_method
            serialized_name: IncludedComponents
            accessor:
                getter: getIncludedComponents
                setter: setIncludedComponents
            type: string
        shape:
            expose: true
            access_type: public_method
            serialized_name: Shape
            accessor:
                getter: getShape
                setter: setShape
            type: string
        pattern:
            expose: true
            access_type: public_method
            serialized_name: Pattern
            accessor:
                getter: getPattern
                setter: setPattern
            type: string
        specialFeatures:
            expose: true
            access_type: public_method
            serialized_name: SpecialFeatures
            accessor:
                getter: getSpecialFeatures
                setter: setSpecialFeatures
            type: string
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: App\Library\Amazon\Classes\WattageDimensionType
        style:
            expose: true
            access_type: public_method
            serialized_name: Style
            accessor:
                getter: getStyle
                setter: setStyle
            type: string
        numberOfPieces:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPieces
            accessor:
                getter: getNumberOfPieces
                setter: setNumberOfPieces
            type: integer
        isStainResistant:
            expose: true
            access_type: public_method
            serialized_name: IsStainResistant
            accessor:
                getter: getIsStainResistant
                setter: setIsStainResistant
            type: boolean
        maximumCoverageArea:
            expose: true
            access_type: public_method
            serialized_name: MaximumCoverageArea
            accessor:
                getter: getMaximumCoverageArea
                setter: setMaximumCoverageArea
            type: App\Library\Amazon\Classes\AreaDimensionOptionalUnitType
        lightSourceType:
            expose: true
            access_type: public_method
            serialized_name: LightSourceType
            accessor:
                getter: getLightSourceType
                setter: setLightSourceType
            type: string
        powerSource:
            expose: true
            access_type: public_method
            serialized_name: PowerSource
            accessor:
                getter: getPowerSource
                setter: setPowerSource
            type: string
        seatHeight:
            expose: true
            access_type: public_method
            serialized_name: SeatHeight
            accessor:
                getter: getSeatHeight
                setter: setSeatHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        paintType:
            expose: true
            access_type: public_method
            serialized_name: PaintType
            accessor:
                getter: getPaintType
                setter: setPaintType
            type: string
        isFragile:
            expose: true
            access_type: public_method
            serialized_name: IsFragile
            accessor:
                getter: getIsFragile
                setter: setIsFragile
            type: boolean
        framed:
            expose: true
            access_type: public_method
            serialized_name: Framed
            accessor:
                getter: getFramed
                setter: setFramed
            type: boolean
        frameMaterial:
            expose: true
            access_type: public_method
            serialized_name: FrameMaterial
            accessor:
                getter: getFrameMaterial
                setter: setFrameMaterial
            type: string
        frameColor:
            expose: true
            access_type: public_method
            serialized_name: FrameColor
            accessor:
                getter: getFrameColor
                setter: setFrameColor
            type: string
        doorType:
            expose: true
            access_type: public_method
            serialized_name: DoorType
            accessor:
                getter: getDoorType
                setter: setDoorType
            type: string
        itemTypeName:
            expose: true
            access_type: public_method
            serialized_name: ItemTypeName
            accessor:
                getter: getItemTypeName
                setter: setItemTypeName
            type: string
        topMaterial:
            expose: true
            access_type: public_method
            serialized_name: TopMaterial
            accessor:
                getter: getTopMaterial
                setter: setTopMaterial
            type: string
        numberOfPanels:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPanels
            accessor:
                getter: getNumberOfPanels
                setter: setNumberOfPanels
            type: integer
        numberOfRails:
            expose: true
            access_type: public_method
            serialized_name: NumberOfRails
            accessor:
                getter: getNumberOfRails
                setter: setNumberOfRails
            type: integer
        coverMaterial:
            expose: true
            access_type: public_method
            serialized_name: CoverMaterial
            accessor:
                getter: getCoverMaterial
                setter: setCoverMaterial
            type: string
        designName:
            expose: true
            access_type: public_method
            serialized_name: DesignName
            accessor:
                getter: getDesignName
                setter: setDesignName
            type: string
        shelfType:
            expose: true
            access_type: public_method
            serialized_name: ShelfType
            accessor:
                getter: getShelfType
                setter: setShelfType
            type: string
        installationType:
            expose: true
            access_type: public_method
            serialized_name: InstallationType
            accessor:
                getter: getInstallationType
                setter: setInstallationType
            type: string
        backMaterial:
            expose: true
            access_type: public_method
            serialized_name: BackMaterial
            accessor:
                getter: getBackMaterial
                setter: setBackMaterial
            type: string
        legFinish:
            expose: true
            access_type: public_method
            serialized_name: LegFinish
            accessor:
                getter: getLegFinish
                setter: setLegFinish
            type: string
        formFactor:
            expose: true
            access_type: public_method
            serialized_name: FormFactor
            accessor:
                getter: getFormFactor
                setter: setFormFactor
            type: string
        topFinish:
            expose: true
            access_type: public_method
            serialized_name: TopFinish
            accessor:
                getter: getTopFinish
                setter: setTopFinish
            type: string
        frameType:
            expose: true
            access_type: public_method
            serialized_name: FrameType
            accessor:
                getter: getFrameType
                setter: setFrameType
            type: string
        numberOfHooks:
            expose: true
            access_type: public_method
            serialized_name: NumberOfHooks
            accessor:
                getter: getNumberOfHooks
                setter: setNumberOfHooks
            type: integer
        lockType:
            expose: true
            access_type: public_method
            serialized_name: LockType
            accessor:
                getter: getLockType
                setter: setLockType
            type: string
        itemForm:
            expose: true
            access_type: public_method
            serialized_name: ItemForm
            accessor:
                getter: getItemForm
                setter: setItemForm
            type: string
        metalType:
            expose: true
            access_type: public_method
            serialized_name: MetalType
            accessor:
                getter: getMetalType
                setter: setMetalType
            type: string
        materialType:
            expose: true
            access_type: public_method
            serialized_name: MaterialType
            accessor:
                getter: getMaterialType
                setter: setMaterialType
            type: string
        footboardUpholstery:
            expose: true
            access_type: public_method
            serialized_name: FootboardUpholstery
            accessor:
                getter: getFootboardUpholstery
                setter: setFootboardUpholstery
            type: string
        numberOfSinks:
            expose: true
            access_type: public_method
            serialized_name: NumberOfSinks
            accessor:
                getter: getNumberOfSinks
                setter: setNumberOfSinks
            type: integer
        maximumCompatibleThickness:
            expose: true
            access_type: public_method
            serialized_name: MaximumCompatibleThickness
            accessor:
                getter: getMaximumCompatibleThickness
                setter: setMaximumCompatibleThickness
            type: App\Library\Amazon\Classes\LengthDimensionType
        maximumSupportedScreenSize:
            expose: true
            access_type: public_method
            serialized_name: MaximumSupportedScreenSize
            accessor:
                getter: getMaximumSupportedScreenSize
                setter: setMaximumSupportedScreenSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        storageType:
            expose: true
            access_type: public_method
            serialized_name: StorageType
            accessor:
                getter: getStorageType
                setter: setStorageType
            type: string
        sinkMaterial:
            expose: true
            access_type: public_method
            serialized_name: SinkMaterial
            accessor:
                getter: getSinkMaterial
                setter: setSinkMaterial
            type: string
        baseMaterial:
            expose: true
            access_type: public_method
            serialized_name: BaseMaterial
            accessor:
                getter: getBaseMaterial
                setter: setBaseMaterial
            type: string
